<div style="position: relative;" nz-row>
  <div
    nz-col
    nz-resizable
    (nzResize)="onResize($event)"
    [nzMinColumn]="6"
    [nzMaxColumn]="20"
    [nzGridColumnCount]="24"
    [nzSpan]="col"
    class="modal-left"
  >
    <nz-resize-handles></nz-resize-handles>
    <div class='style-chk'>
      <div>
        <label class="modal-left__label">Cây đơn vị</label>
      </div>
      <div>
        <div *ngIf='isShowChkOrg'>
          <label nz-checkbox [(ngModel)]='isShowAll'>Tất cả đơn vị</label>
        </div>
      </div>
    </div>
    <div class="modal-left__tree">
      <nz-tree [nzData]="treeOrg" nzAsyncData (nzClick)="nzEvent($event)" (nzExpandChange)="nzEvent($event)"
               [nzExpandedIcon]="multiExpandedIconTpl"  [nzTreeTemplate]="nzTreeTemplate">
        <ng-template #multiExpandedIconTpl let-node>
          <button class="icon-expand">
            <div style="display: flex;">
              <img *ngIf="!node.isExpanded" alt="" class="modal-left__tree__icon"
                   src="../../../../../assets/images/icon/add-org(1).svg" />
              <img alt="" class="modal-left__tree__icon" src="../../../../../assets/images/icon/minus-org.svg"
                   *ngIf="node.isExpanded" />
            </div>
          </button>
        </ng-template>
        <ng-template #nzTreeTemplate let-node>
          <div [ngClass]='{"txt-disable":node.origin.flagStatus  === 0}'>
            {{node.title}}
          </div>
        </ng-template>
      </nz-tree>
    </div>
  </div>
  <app-loading *ngIf="isLoading"></app-loading>
  <div nz-col nzSpan="18" class="modal-right">
    <label class="modal-right__label">Đơn vị</label>
    <div nz-row class="modal-right__search-input">
      <div nz-col nzSpan="22">
        <mb-input-text
          [(ngModel)]="orgNameModal"
          mbType="default"
          [defaultInput]="true"
          [mbShowFlexEnd]="false"
        >
        </mb-input-text>
      </div>
      <div nz-col nzSpan="2" class="flex-end" style="margin-top: 1.5rem">
        <mb-button mbButtonType="BORDER" mbButtonSize="VERY_LARGE" (click)='showAdvSearch()'>
          <img *ngIf='isSearchAdv' src="../../../../../assets/images/icon/arrow-up.svg"  alt="" />
          <img *ngIf='!isSearchAdv' src="../../../../../assets/images/icon/arrow-down.svg" alt="" />
        </mb-button>
      </div>
    </div>
    <div class="main-job-card">
      <div nz-row class='main-job-card__row' *ngIf='isSearchAdv'>
        <div nz-col nzSpan="6">
          <mb-select [mbDataSelects]="listOrgManager" mbKeyLabel="orgName" mbKeyValue="orgId" (mbSelect)='onChangeManager($event)'
                     mbLabelText="{{'common.label.manageOrg' | translate}}" mbPlaceholder="{{'common.placeHolder.choose' | translate}}"
                     [(ngModel)]="objectSearch.orgManager">
          </mb-select>
        </div>
        <div nz-col nzSpan="6" class="main-job-card__left">
          <mb-select [mbDataSelects]="listOrgTT1" mbKeyLabel="orgName" mbKeyValue="orgId" [mbDisable]='!objectSearch.orgManager'
                     (mbSelect)='checkOrg()'
                     mbLabelText="{{'common.label.orgLv1' | translate}}" mbPlaceholder="{{'common.placeHolder.choose' | translate}}"
                     [(ngModel)]="objectSearch.orgIdTT1">
          </mb-select>
        </div>
        <div nz-col nzSpan="6" class="main-job-card__left">
          <mb-select [mbDataSelects]="listOrgTT2" mbKeyLabel="orgName" mbKeyValue="orgId" [mbDisable]='!objectSearch.orgIdTT1'
                     (mbSelect)='checkOrg()'
                     mbLabelText="{{'common.label.orgLv2' | translate}}" mbPlaceholder="{{'common.placeHolder.choose' | translate}}"
                     [(ngModel)]="objectSearch.orgIdTT2">
          </mb-select>
        </div>
        <div nz-col nzSpan="6" class="main-job-card__left">
          <mb-select [mbDataSelects]="listOrgTT3" mbKeyLabel="orgName" mbKeyValue="orgId" [mbDisable]='!objectSearch.orgIdTT2'
                     (mbSelect)='checkOrg()'
                     mbLabelText="{{'common.label.orgLv3' | translate}}" mbPlaceholder="{{'common.placeHolder.choose' | translate}}"
                     [(ngModel)]="objectSearch.orgIdTT3">
          </mb-select>
        </div>
      </div>
      <div nz-row class='main-job-card__row'>
        <div nz-col nzSpan="6">
          <mb-select [mbDataSelects]="areas"
                     mbKeyLabel="lvaMean"
                     mbKeyValue="lvaValue"
                     mbLabelText="{{ 'common.label.area' | translate }}"
                     mbPlaceholder="{{ 'common.placeHolder.choose' | translate }}"
                     [(ngModel)]="objectSearch.region">
          </mb-select>
        </div>
        <div nz-col nzSpan="6" class="main-job-card__left">
          <mb-select [mbDataSelects]="types"
                     mbKeyLabel="lvaMean"
                     mbKeyValue="lvaValue"
                     mbLabelText="{{ 'common.label.typeBranch' | translate }}"
                     mbPlaceholder="{{ 'common.placeHolder.choose' | translate }}"
                     [(ngModel)]="objectSearch.brachType">
          </mb-select>
        </div>
        <div nz-col nzSpan="6" class="main-job-card__left">
          <mb-select [mbDataSelects]="listOrgGroup" mbKeyLabel="key" mbKeyValue="value"
                     mbLabelText="{{'common.label.orgGroup' | translate}}"
                     mbPlaceholder="{{ 'common.placeHolder.choose' | translate }}"
                     [(ngModel)]="objectSearch.orgGroup">
          </mb-select>
        </div>
        <div nz-col nzSpan="6" style="margin-top: 1.5rem">
          <mb-button mbButtonSize="VERY_LARGE"
                     mbButtonAvailableStyle="CUSTOM"
                     (click)="searchTreeOrg($event)"
                     mbButtonText="{{ 'common.label.search' | translate }}">
          </mb-button>
        </div>
      </div>
    </div>
    <div class="mb-tab">
      <nz-tabset nzType="editable-card" nzHideAdd (nzSelectedIndexChange)="changeTab($event)" [nzTabBarGutter]="0" [nzSelectedIndex]="selectTab">
        <nz-tab nzTitle="{{'common.label.list' | translate}}">
        <div>
          <mb-table-wrap [mbTitle]="''" [nonBg]="true" [extra]='false'>
            <mb-table [keyCheck]="'orgId'" [heightTable]="heightTable" [isUseTitle]='true' [isShowSeletedRow]='true'
                      (changePageNum)='changePage($event)' (selectedChange)='changeSelected($event)'
                      [tableConfig]='tableConfig' [tableData]='listOrg' [checkedCashArrayFromComment]="checked"></mb-table>
          </mb-table-wrap>
        </div>
        </nz-tab>
        <nz-tab nzTitle="{{'common.label.chossed' | translate}}">
          <div>
            <mb-table-wrap [mbTitle]="''" [nonBg]="true" [extra]='false'>
              <mb-table [keyCheck]="'orgId'" [heightTable]="heightTable" [isUseTitle]='true'
                        (changePageNum)='changePage($event)' (selectedChange)='changeSelected($event)'
                        [tableConfig]='tableConfig' [tableData]='listOrg' [checkedCashArrayFromComment]="checked"></mb-table>
            </mb-table-wrap>
          </div>
        </nz-tab>
      </nz-tabset>
    </div>
    <div class="footer" nz-row>
      <mb-button
        mbButtonSize='MEDIUM'
        mbButtonBgColor='#141ED2'
        mbButtonText="{{ 'modelOrganization.assignJob.choose' | translate }}"
        mbButtonTextColor='#FFFFFF'
        [mbIsDisable]='selectTab !== 1'
        [customStyle]='true'
        (click)='applyChecked()'
      >
      </mb-button>
    </div>
  </div>
</div>
